Get a Targeted NF

get

/rest/{versionId}/inventory/nf-mgmt/nfs/{nfId}

Use this (GET) method to display a Network Function (NF).

Request

Path Parameters
Back to Top

Response

200 Response

Retrieved NF details successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, network function, and so on) of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get a Targeted NF.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nfs/<nfId>"

The following example shows how to use Python to get a Targeted NF.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nfs/<nfId>"
resp = requests.get(url, headers=headers)

Note:

Use the Get List of NFs in Device Management API to find the nfId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "children": [
    {
      "id": "2",
      "ipAddress": "192.0.2.10",
      "name": "ME6",
      "parentGroupFullName": "Home/ME6",
      "parentGroupId": "3"
    }
  ],
  "groupType": "DEVICE",
  "id": "3",
  "name": "ME6",
  "nfCategory": {
    "id": "3",
    "name": "Session Monitor",
    "product": "Monitoring",
    "vendor": "Oracle"
  },
  "nfType": {
    "name": "Mediation Engine"
  },
  "parentGroupFullName": "Home",
  "parentGroupId": "1"
}    

Example 2 of Accessing this API

This example shows the response for an HA pair of Session Border Controllers.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nfs/<nfId>"

The following shows an example response.

{
  "children": [
    {
      "id": "85",
      "ipAddress": "192.0.2.10",
      "name": "OSDMC-NewvSBC-7",
      "parentGroupFullName": "Home/SBC7-8",
      "parentGroupId": "103"
    },
    {
      "id": "86",
      "ipAddress": "192.0.2.10",
      "name": "OSDMC-NewvSBC-8",
      "parentGroupFullName": "Home/SBC7-8",
      "parentGroupId": "103"
    }
  ],
  "groupType": "DEVICE",
  "id": "103",
  "name": "SBC7-8",
  "nfCategory": {
    "name": "SP Edge & Core",
    "product": "Session Delivery",
    "vendor": "Oracle",
    "id": "3"
  },
  "nfType": {
    "name": "Device"
  },
  "parentGroupFullName": "Home",
  "parentGroupId": "1"
}        
Back to Top